<script setup lang="ts">
import Repository from "@/entities/Repository/Repository.js";
import {onMounted, ref, watch} from "vue";
import Instance from "@/entities/Instance/Instance";
import RowList from "@/components/organisms/list/RowList.vue";
import InstanceCard from "@/components/organisms/card/vertical-card/entity-card/InstanceCard.vue";
import NewCard from "@/components/organisms/card/vertical-card/NewCard.vue";

const props = defineProps<{ repository: Repository }>();

const instances: ref<Array<Instance>> = ref<Array<Instance>>([]);

const loadInstances = () => {
  // TODO : API
  instances.value = [];
};
onMounted(loadInstances)
watch(() => props.repository, loadInstances)
</script>

<template>
  <RowList>
    <NewCard link="/instance/new"></NewCard>
    <InstanceCard
        :instance="instance"
        :key="'instance_list_' + instance.uid"
        v-for="(instance) of instances"
    />
  </RowList>
</template>